'From KoreanSqueak3.8-02b of 23 May 2006 [latest update: #547] on 18 November 2007 at 4:24:57 pm'!
CustomMenu subclass: #EtoyViewerCustomMenu
	instanceVariableNames: 'helps'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SqueakByExample'!
MenuItemMorph subclass: #EtoyViewerMenuItemMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SqueakByExample'!
MVCMenuMorph subclass: #EtoyViewerMenuMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SqueakByExample'!
EtoyViewerMenuMorph class
	instanceVariableNames: 'helps'!

!EtoyViewerCustomMenu methodsFor: 'as yet unclassified' stamp: 'picxenk 11/17/2007 22:31'!
helps: aHelps
	helps := aHelps! !

!EtoyViewerCustomMenu methodsFor: 'as yet unclassified' stamp: 'picxenk 11/17/2007 22:59'!
startUpWithCaption: t1 at: t2 allowKeyboard: t3 
	| t4 |
	(ProvideAnswerNotification signal: t1)
		ifNotNilDo: [:t5 | ^ selection := t5
						ifTrue: [1]
						ifFalse: [2]].
	t4 := Display height * 3 // 4.
	self frameHeight > t4
		ifTrue: [^ self
				startUpSegmented: t4
				withCaption: t1
				at: t2
				allowKeyboard: t3].
	Smalltalk isMorphic
		ifTrue: [selection := Cursor normal
						showWhile: [(EtoyViewerMenuMorph from: self title: t1 helps: helps)
								invokeAt: t2
								in: ActiveWorld
								allowKeyboard: t3].
			^ self valueFrom: selection].
	frame
		ifNil: [self computeForm].
	Cursor normal
		showWhile: [self
				displayAt: t2
				withCaption: t1
				during: [self controlActivity]].
	^ self valueFrom: selection
! !

!EtoyViewerCustomMenu methodsFor: 'as yet unclassified' stamp: 'picxenk 11/17/2007 22:23'!
valueFrom: index

	(selections = nil
			or: [(index between: 1 and: selections size) not])
		ifTrue: [^ nil].
	^ selections at: index! !


!EtoyViewerCustomMenu class methodsFor: 'as yet unclassified' stamp: 'picxenk 11/17/2007 23:05'!
labels: aLabels lines: aLines selections: aSelections helps: aHelps

	| menu |
	menu := (self labels: aLabels lines: aLines selections: aSelections).
	menu helps: aHelps.
	^ menu! !


!EtoyViewerMenuItemMorph methodsFor: 'as yet unclassified' stamp: 'picxenk 11/17/2007 21:48'!
balloonHelpDelayTime

	^0! !


!EtoyViewerMenuMorph methodsFor: 'as yet unclassified' stamp: 'picxenk 11/17/2007 21:49'!
add: t1 action: t2 withHelp: aHelp
	self
		add: t1
		target: defaultTarget
		selector: t2
		argumentList: EmptyArray
		withHelp: aHelp! !

!EtoyViewerMenuMorph methodsFor: 'as yet unclassified' stamp: 'picxenk 11/17/2007 23:24'!
add: t1 target: t2 selector: t3 argumentList: t4 
	| t5 |
	t5 := EtoyViewerMenuItemMorph new contents: t1;
				 target: t2;
				 selector: t3;
				 arguments: t4 asArray.
	self addMorphBack: t5! !

!EtoyViewerMenuMorph methodsFor: 'as yet unclassified' stamp: 'picxenk 11/17/2007 21:50'!
add: t1 target: t2 selector: t3 argumentList: t4 withHelp: aHelp
	| t5 |
	t5 := EtoyViewerMenuItemMorph new contents: t1;
				 target: t2;
				 selector: t3;
				 arguments: t4 asArray.
	t5 setBalloonText: aHelp.
	self addMorphBack: t5! !

!EtoyViewerMenuMorph methodsFor: 'as yet unclassified' stamp: 'picxenk 11/17/2007 22:49'!
helps: aHelps

	helps := aHelps! !

!EtoyViewerMenuMorph methodsFor: 'as yet unclassified' stamp: 'picxenk 11/18/2007 14:46'!
setBalloonHelp: aHelps

	aHelps associationsDo: [:each | | helpString|
		helpString := String new.
		each value do: [:i | helpString := helpString, i, Character cr asString].
		(self itemWithWording: ' ',(each key translated),' ') 
			setBalloonText: helpString.
	].! !


!EtoyViewerMenuMorph class methodsFor: 'as yet unclassified' stamp: 'picxenk 11/18/2007 14:28'!
from: aMenu title: aTitle helps: aHelps

	| menu |
	menu := self from: aMenu title: aTitle.
	menu setBalloonHelp: aHelps.
"
	aHelps associationsDo: [:each | (menu itemWithWording: ' ',(each key translated),' ') setBalloonText: each value].
"
	^menu! !

