'From KoreanSqueak3.8-02b of 23 May 2006 [latest update: #547] on 18 November 2007 at 4:08:19 pm'!
SimpleSwitchMorph subclass: #SBECell
	instanceVariableNames: 'mouseAction'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SqueakByExample'!

!SBECell methodsFor: 'initialization' stamp: 'pdh 9/25/2007 12:39'!
initialize
	super initialize.
	self label: ''.
	self borderWidth: 2.
	bounds := 0@0 corner: 16@16 .
	offColor := Color paleYellow.
	onColor := Color paleBlue darker.
	self useSquareCorners.
	"self turnOff"! !


!SBECell methodsFor: 'event handling' stamp: 'pdh 9/25/2007 12:57'!
isOn
	^ color = onColor! !

!SBECell methodsFor: 'event handling' stamp: 'pdh 9/25/2007 12:28'!
mouseAction: aBlock
	^ mouseAction := aBlock! !

!SBECell methodsFor: 'event handling' stamp: 'pdh 9/25/2007 12:29'!
mouseUp: anEvent
	mouseAction value! !

!SBECell methodsFor: 'event handling' stamp: 'pdh 9/25/2007 12:56'!
toggleState
	self isOn
		ifTrue: [self turnOff]
		ifFalse: [self turnOn]! !

!SBECell methodsFor: 'event handling' stamp: 'pdh 9/25/2007 12:57'!
turnOff
	self borderColor: #raised.
	self color: offColor! !

!SBECell methodsFor: 'event handling' stamp: 'pdh 9/25/2007 12:57'!
turnOn
	self borderColor: #inset.
	self color: onColor! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

SBECell class
	instanceVariableNames: 'offColor bounds onColor'!
