'From KoreanSqueak3.8-02b of 23 May 2006 [latest update: #547] on 18 November 2007 at 4:24:54 pm'!
Viewer subclass: #CategoryViewer
	instanceVariableNames: 'namePane chosenCategorySymbol helps'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Morphic-Scripting'!

!CategoryViewer methodsFor: '*SqueakByExample' stamp: 'picxenk 11/18/2007 15:58'!
chooseCategory
	| t1 t2 t3 t4 t5 |
	t1 := scriptedPlayer categoriesForViewer: self.
	t4 := t1
				indexOf: #miscellaneous
				ifAbsent: [].
	t1 := t1
				collect: [:t6 | self currentVocabulary categoryWordingAt: t6].
	t5 := t4
				ifNil: [#()]
				ifNotNil: [Array with: t4].
	t1 size == 0
		ifTrue: [t1 add: ScriptingSystem nameForInstanceVariablesCategory translated].

	self collectCategoryMethods.
	t2 := EtoyViewerCustomMenu
				labels: t1
				lines: t5
				selections: t1
				helps: helps.
	t3 := t2 startUpWithCaption: 'category' translated.
	t3
		ifNil: [^ self].
	self chooseCategoryWhoseTranslatedWordingIs: t3 asSymbol! !

!CategoryViewer methodsFor: '*SqueakByExample' stamp: 'picxenk 11/18/2007 14:24'!
collectCategoryMethods

	helps ifNil: [
		helps := Dictionary new.
		(scriptedPlayer costume categoriesForViewer) do: [:c |
			helps 
				at: c translated 
				put: ((scriptedPlayer 
						methodInterfacesForCategory: c 
						inVocabulary: self currentVocabulary 
						limitClass: self limitClass) collect: [:i | i wording])]
		].
	^helps! !


!CategoryViewer reorganize!
('categories' adjustColorsAndBordersWithin beReplacedByCategory: categoryNameWhoseTranslatedWordingIs: categoryWhoseTranslatedWordingIs: categoryWording: chooseCategoryWhoseTranslatedWordingIs: chosenCategorySymbol chosenCategorySymbol: currentCategory downArrowHit nextCategory previousCategory secreteCategorySymbol showCategoriesFor: upArrowHit updateCategoryNameTo:)
('e-toy support' adoptVocabulary: localeChanged)
('editing pane' contents:notifying:)
('entries' addIsOverColorDetailTo: addOverlapsDetailTo: addTouchesADetailTo: infoButtonFor: phraseForCommandFrom: phraseForVariableFrom: readoutFor:type:readOnly:getSelector:putSelector: wantsRowMenuFor:)
('get/set slots' arrowSetterButton:args: arrowSetterButtonFor:type: getterButtonFor:type: getterTilesFor:type: makeGetter:event:from: makeGetter:from:forPart: makeSetterForColorComponent:componentName:event:from: makeSetterForGetPatchValue:event:from: makeSetter:event:from: makeSetter:from:forPart: makeUniversalTilesGetter:event:from: newGetterTilesFor:methodInterface: newMakeGetter:event:from: newMakeGetter:from:forMethodInterface: newMakeGetter:from:forPart: newMakeSetter:event:from: newMakeSetter:from:forPart: newMakeSetterFromInterface:evt:from: newSetterTilesFor:methodInterface: newTilesFor:setter:)
('header pane' addHeaderMorph addNamePaneTo: maybeAddArrowsTo:)
('initialization' establishContents initializeFor: initializeFor:categoryChoice: setCategorySymbolFrom:)
('macpal' currentVocabulary)
('scripting' isTileScriptingElement)
('support' booleanPhraseForBounceOnColorOfType:retrieverOp:player: booleanPhraseForBounceOnOfType:retrieverOp:player: booleanPhraseForGetAngleToOfType:retrieverOp:player: booleanPhraseForGetColorComponentOfType:componentName:retrieverOp:player: booleanPhraseForGetDistanceToOfType:retrieverOp:player: booleanPhraseForGetPatchValueOfType:retrieverOp:player: booleanPhraseForGetTurtleAtOfType:retrieverOp:player: booleanPhraseForGetTurtleOfOfType:retrieverOp:player: booleanPhraseForGetUpHillOfType:retrieverOp:player: booleanPhraseForRetrieverOfType:retrieverOp:player: booleanPhraseFromPhrase: categoryRestorationInfo contentsSelection invisiblySetPlayer: isSpecialPatchCase:and: isSpecialPatchReceiver:and: limitClass outerViewer tileForSelf)
('*SqueakByExample' chooseCategory collectCategoryMethods)
!

