'From OLPC2.0 of ''24 October 2006'' [latest update: #1355] on 18 November 2007 at 4:30:55 pm'!
Viewer subclass: #CategoryViewer
	instanceVariableNames: 'namePane chosenCategorySymbol helps'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Morphic-Scripting'!

!CategoryViewer methodsFor: '*SqueakByExample' stamp: 'picxenk 11/18/2007 16:29'!
chooseCategory
	"The mouse went down on my category-list control; pop up a list of category choices"

	| aList aMenu reply aLinePosition lineList special |
	Cursor wait showWhile: [
	
		aList _ scriptedPlayer categoriesForViewer: self.
		special :=  {ScriptingSystem nameForScriptsCategory.  ScriptingSystem nameForInstanceVariablesCategory}.
		aList removeAllFoundIn: special.
		aList := special, aList.
		aLinePosition _ aList indexOf: #miscellaneous ifAbsent: [nil].
		aList _ aList collect:	
			[:aCatSymbol | self currentVocabulary categoryWordingAt: aCatSymbol].

		lineList _ aLinePosition ifNil: [#(2)] ifNotNil: [Array with: 2 with: aLinePosition].
		self collectCategoryMethods.
		aMenu _ EtoyViewerCustomMenu labels: aList lines: lineList selections: aList helps: helps.
		reply _ aMenu startUpWithCaption: 'category' translated.
		reply ifNil: [^ self].
		self chooseCategoryWhoseTranslatedWordingIs: reply asSymbol
	]! !

!CategoryViewer methodsFor: '*SqueakByExample' stamp: 'picxenk 11/18/2007 16:28'!
collectCategoryMethods

	helps ifNil: [
		helps := Dictionary new.
		(scriptedPlayer costume categoriesForViewer) do: [:c |
			helps 
				at: c translated 
				put: ((scriptedPlayer 
						methodInterfacesForCategory: c 
						inVocabulary: self currentVocabulary 
						limitClass: self limitClass) collect: [:i | i wording])]
		].
	^helps! !


!CategoryViewer reorganize!
('categories' adjustColorsAndBordersWithin beReplacedByCategory: categoryNameMorph categoryNameWhoseTranslatedWordingIs: categoryWhoseTranslatedWordingIs: categoryWording: chooseCategoryWhoseTranslatedWordingIs: chosenCategorySymbol chosenCategorySymbol: currentCategory downArrowHit nextCategory previousCategory secreteCategorySymbol showCategoriesFor: upArrowHit updateCategoryNameTo:)
('e-toy support' adoptVocabulary: localeChanged)
('editing pane' contents:notifying:)
('entries' addColorSeesDetailTo: addIsOverColorDetailTo: addOverlapsDetailTo: addPlayerArgumentTo: addTouchesADetailTo: infoButtonFor: phraseForCommandFrom: phraseForTest phraseForTimesRepeat phraseForVariableFrom: readoutFor:type:readOnly:getSelector:putSelector: wantsRowMenuFor:)
('get/set slots' arrowSetterButton:args: arrowSetterButtonFor:type: getterButtonFor:type: getterTilesFor:type: makeGetter:event:from: makeGetter:from:forPart: makeSetterForColorComponent:componentName:event:from: makeSetterForGetPatchValue:event:from: makeSetter:event:from: makeSetter:from:forPart: makeUniversalTilesGetter:event:from: newGetterTilesFor:methodInterface: newMakeGetter:event:from: newMakeGetter:from:forMethodInterface: newMakeGetter:from:forPart: newMakeSetter:event:from: newMakeSetter:from:forPart: newMakeSetterFromInterface:evt:from: newSetterTilesFor:methodInterface: newTilesFor:setter:)
('header pane' addHeaderMorph addNamePaneTo:)
('initialization' establishContents initializeFor: initializeFor:categoryChoice: setCategorySymbolFrom:)
('macpal' currentVocabulary)
('scripting' isTileScriptingElement)
('support' booleanPhraseForBounceOnOfType:retrieverOp:player: booleanPhraseForGetAngleToOfType:retrieverOp:player: booleanPhraseForGetColorComponentOfType:componentName:retrieverOp:player: booleanPhraseForGetDistanceToOfType:retrieverOp:player: booleanPhraseForGetPatchValueOfType:retrieverOp:player: booleanPhraseForGetTurtleOfOfType:retrieverOp:player: booleanPhraseForGetUpHillOfType:retrieverOp:player: booleanPhraseForRetrieverOfType:retrieverOp:player: booleanPhraseFromPhrase: categoryRestorationInfo contentsSelection invisiblySetPlayer: isSpecialPatchCase:and: isSpecialPatchReceiver:and: limitClass outerViewer tileForSelf)
('*SqueakByExample' chooseCategory collectCategoryMethods)
!

