'From KoreanSqueak3.8-02b of 23 May 2006 [latest update: #547] on 18 November 2007 at 4:08:22 pm'!
BorderedMorph subclass: #SBEGame
	instanceVariableNames: 'cells'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SqueakByExample'!

!SBEGame methodsFor: 'initialization' stamp: 'pdh 9/25/2007 02:10'!
cellsPerSide
	^10! !

!SBEGame methodsFor: 'initialization' stamp: 'pdh 9/25/2007 02:02'!
initialize
	| sampleCell width height n |
	super initialize.
	n := self cellsPerSide.
	sampleCell := SBECell new.
	width := sampleCell width.
	height := sampleCell height.
	self bounds: (5@5 extent: ((width*n)@(height*n)) + (2 * self borderWidth)).
	cells := Matrix new: n tabulate: [:i :j | self newCellAt: i at: j].! !

!SBEGame methodsFor: 'initialization' stamp: 'pdh 9/25/2007 12:43'!
newCellAt: i at: j
	| c origin |
	c := SBECell new.
	origin := self innerBounds origin.
	self addMorph: c.
	c position:  ((i - 1 ) * c width ) @ ((j - 1) * c height) + origin.
	c mouseAction: [self toggleNeighboursOfCellAt: i at: j].
	^c! !

!SBEGame methodsFor: 'initialization' stamp: 'pdh 9/25/2007 12:58'!
toggleNeighboursOfCellAt:i at: j
	(i > 1 ) ifTrue: [( cells at: i-1 at: j ) toggleState].
	(i < self cellsPerSide) ifTrue: [(cells at: i + 1 at: j) toggleState].
	(j > 1 )ifTrue: [(cells at: i at: j-1) toggleState].
	(j < self cellsPerSide) ifTrue: [(cells at: i at: j + 1) toggleState].! !
